<?
require("../conectar.php");
if($_POST["tipo"]=="insertar")
{
if($_POST["boton"]=="Modificar")
{
$sql = "UPDATE `maraton` SET `anuncios` = '$_POST[anun]', `llamadas` ='$_POST[pros]', `citas` = '$_POST[citas]', `asistencias` = '$_POST[asis]', `fi` = '$_POST[fi]', `ff` ='$_POST[ff]' WHERE `maraton`.`id` ='$_POST[id]' LIMIT 1;";
mysql_query($sql);
$sql="select * From maraton where id='$_POST[id]'";
$mensaje="los datos han sido actualizados";
}
else{
$sql="select * From maraton where ('$_POST[fi]' between fi and ff) or ('$_POST[ff]' between fi and ff)";
$mensaje="¿ya se capturo un plan para estas fechas deseas modificar valores?";
}

$query=mysql_query($sql);
$num=mysql_num_rows($query);
if($num>0)
{

echo$mensaje;
$datos=mysql_fetch_array($query);
?>

<input type="hidden" name="anunciosC" id="anunciosC" value="<?echo$datos["anuncios"]?>">
<input type="hidden" name="llamadasC" id="llamadasC" value="<?echo$datos["llamadas"]?>">
<input type="hidden" name="citasC" id="citasC" value="<?echo$datos["citas"]?>">
<input type="hidden" name="asistenciasC" id="asistenciasC" value="<?echo$datos["asistencias"]?>">
<input type="hidden" name="fiC" id="fiC" value="<?echo$datos["fi"]?>">
<input type="hidden" name="ffC" id="ffC" value="<?echo$datos["ff"]?>">
<script>cambiaBoton("Modificar")</script>
<?}
else
{
	$sql="INSERT INTO maraton (id, anuncios, llamadas, citas, asistencias, fi, ff) 
	VALUES (NULL, '$_POST[anun]', '$_POST[pros]', '$_POST[citas]', '$_POST[asis]', '$_POST[fi]', '$_POST[ff]')";
	mysql_query($sql);
	$id=mysql_insert_id();
	echo$mensaje="Los datos han sido registrados";
?>
<script>cambiaBoton("Modificar")</script>
<input type="hidden" name="idC" id="idC" value="<?echo$id?>">
<input type="hidden" name="anunciosC" id="anunciosC" value="<?echo$_POST["anun"]?>">
<input type="hidden" name="llamadasC" id="llamadasC" value="<?echo$_POST["pros"]?>">
<input type="hidden" name="citasC" id="citasC" value="<?echo$_POST["citas"]?>">
<input type="hidden" name="asistenciasC" id="asistenciasC" value="<?echo$_POST["asis"]?>">
<input type="hidden" name="fiC" id="fiC" value="<?echo$_POST["fi"]?>">
<input type="hidden" name="ffC" id="ffC" value="<?echo$_POST["ff"]?>">

<?
	}

}
if($_POST["tipo"]=="consultar")
{
$sql="SELECT concat(fi,'-',ff) as fechas, id  from maraton order by fi DESC";
$query=mysql_query($sql);
while($op=mysql_fetch_array($query))
	   {
		echo$op["id"]."%".$op["fechas"]."%"; 
		}
}	